切换自动贴靠标记。 支持的平台:仅窗口 属性值只读:不 类型:布尔
言论此属性的初始值为 True。 注意:此属性的值存储在自动贴靠系统变量中。
例子工 务 局: Sub Example_AutoSnapMarker() ' This example reads and modifies the preference value that controls ' the AutoSnap marker. When finished, this example resets the ' preference value back to its original value. Dim ACADPref As AcadPreferencesDrafting Dim originalValue As Variant, newValue As Variant ' Get the drafting preferences object Set ACADPref = ThisDrawing.Application.preferences.Drafting ' Read and display the original value originalValue = ACADPref.AutoSnapMarker MsgBox "The AutoSnapMarker preference is set to: " & originalValue ' Modify the AutoSnapMarker preference by toggling the value ACADPref.AutoSnapMarker = Not (originalValue) newValue = ACADPref.AutoSnapMarker MsgBox "The AutoSnapMarker preference has been set to: " & newValue ' Reset the preference back to its original value ' ' * Note: Comment out this last section to leave the change to ' this preference in effect ACADPref.AutoSnapMarker = originalValue MsgBox "The AutoSnapMarker preference was reset back to: " & originalValue End Sub Visual LISP: (vl-load-com) (defun c:Example_AutoSnapMarker() ;; This example reads and modifies the preference value that controls ;; the AutoSnap marker. When finished, this example resets the ;; preference value back to its original value. (setq acadObj (vlax-get-acad-object)) (setq preferences (vla-get-Preferences acadObj)) ;; Get the drafting preferences object (setq ACADPref (vla-get-Drafting preferences)) ;; Read and display the original value (setq originalValue (vla-get-AutoSnapMarker ACADPref)) (alert (strcat "The AutoSnapMarker preference is set to: " (if (= originalValue :vlax-true) "True" "False"))) ;; Modify the AutoSnapMarker preference by toggling the value (vla-put-AutoSnapMarker ACADPref (if (= originalValue :vlax-true) :vlax-false :vlax-true)) (setq newValue (vla-get-AutoSnapMarker ACADPref)) (alert (strcat "The AutoSnapMarker preference has been set to: " (if (= newValue :vlax-true) "True" "False"))) ;; Reset the preference back to its original value ;; ;; * Note: Comment out this last section to leave the change to ;; this preference in effect (vla-put-AutoSnapMarker ACADPref originalValue) (alert (strcat "The AutoSnapMarker preference was reset back to: " (if (= originalValue :vlax-true) "True" "False"))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:13
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.